Skip to main content
GET
Get an Agent session

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

agentSessionId
string
required

Response

200 - application/json
agentSessionId
string
required

Stable durable Agent session id.

Example:

"abababab-abab-4bab-8bab-abababababab"

agentId
string
required

Owning Agent id.

Example:

"99999999-9999-4999-8999-999999999999"

checkpoint
object
required

Bounded structured checkpoint automatically carried into successor runs.

Example:
createdAt
string<date-time>
required

Creation timestamp.

Example:

"2026-06-13T10:00:00.000Z"

lastUpdateAt
string<date-time>
required

Last update timestamp.

Example:

"2026-06-13T10:15:00.000Z"

version
number
required

Optimistic locking version.

Example:

2

rootAssistantThreadId
string

Assistant thread shared by successor runs.

Example:

"cccccccc-cccc-4ccc-8ccc-cccccccccccc"

currentRunId
string

Current run in this session.

Example:

"aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa"

lastRunId
string

Most recently created run in this session.

Example:

"aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa"

Last modified on September 5, 2026